export default {
    name: "NavBarComponent",
    emits: ["main_page1","session_login1","session_logout1","session_who1","add_user1", "delete_user1", 
    "find_str1", "engines1", "law_increm1", "law_rand1", "sign_incr1", "sign_rand1", "inter_incr1", 
  "inter_rand1", "inter_vy1", "rn_test1", "lrn_test1", "srn_test1", "irn_test1", "law_nknow1", 
  "sign_nknow1", "inter_nknow1", "lnk_test1", "snk_test1", "ink_test1", "zrn_test1", "course_make1", 
  "course_delete1", "course_run1" ],
    data() {
      return {
        count2: 0
      }
    },
    template: `
    <div class="border-r border-b border-blue-400 p-2 m-2 text-center">
    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Log me in]</div>
    <button @click="$emit('main_page1')" class="hover:text-blue-800 hover:border-b-2 border-black">Main page</button>
    <button @click="$emit('session_login1')" class="hover:text-blue-800 hover:border-b-2 border-black">Login to session</button>
    <button @click="$emit('session_logout1')" class="hover:text-blue-800 hover:border-b-2 border-black">Logout from session</button>
    <button @click="$emit('session_who1')" class="hover:text-blue-800 hover:border-b-2 border-black">Who is logged in</button>
    <button @click="$emit('add_user1')" class="hover:text-blue-800 hover:border-b-2 border-black">Add user</button>
    <button @click="$emit('delete_user1')" class="hover:text-blue-800 hover:border-b-2 border-black">Delete user</button>
    <button @click="$emit('find_str1')" class="hover:text-blue-800 hover:border-b-2 border-black">Find a string</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Show me]</div>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Two stroke engine</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Four stroke engine</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Diesel engine</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Wankel engine</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Stirling engine</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Fourvalve engine</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Education]</div>
    <button @click="$emit('law_increm1')" class="hover:text-blue-800 hover:border-b-2 border-black">Laws incrementally</button>
    <button @click="$emit('law_rand1')" class="hover:text-blue-800 hover:border-b-2 border-black">Laws randomly</button>
    <button @click="$emit('law_nknow1')" class="hover:text-blue-800 hover:border-b-2 border-black">Laws I didn't know</button>
    <button @click="$emit('sign_incr1')" class="hover:text-blue-800 hover:border-b-2 border-black">Signs incrementally</button>
    <button @click="$emit('sign_rand1')" class="hover:text-blue-800 hover:border-b-2 border-black">Signs randomly</button>
    <button @click="$emit('sign_nknow1')" class="hover:text-blue-800 hover:border-b-2 border-black">Signs I didn't know</button>
    <button @click="$emit('inter_incr1')" class="hover:text-blue-800 hover:border-b-2 border-black">Intersections incrementally</button>
    <button @click="$emit('inter_rand1')" class="hover:text-blue-800 hover:border-b-2 border-black">Intersections randomly</button>
    <button @click="$emit('inter_nknow1')" class="hover:text-blue-800 hover:border-b-2 border-black">Intersections I didn't know</button>
    <button @click="$emit('inter_vy1')" class="hover:text-blue-800 hover:border-b-2 border-black">Intersection education SK</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Testing]</div>
    <button @click="$emit('rn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Random test</button>
    <button @click="$emit('lnk_test1')"  class="hover:text-blue-800 hover:border-b-2 border-black">Laws I didn't know</button>
    <button @click="$emit('lrn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Laws randomly</button>
    <button @click="$emit('snk_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Signs I didn't know</button>
    <button @click="$emit('srn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Signs randomly</button>
    <button @click="$emit('ink_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Intersections I didn't know</button>
    <button @click="$emit('irn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Intersections randomly</button>
    <button @click="$emit('zrn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Health education SK</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Course]</div>
    <button @click="$emit('course_make1')" class="hover:text-blue-800 hover:border-b-2 border-black">Create course</button>
    <button @click="$emit('course_delete1')" class="hover:text-blue-800 hover:border-b-2 border-black">Delete course</button>
    <button @click="$emit('course_run1')" class="hover:text-blue-800 hover:border-b-2 border-black">Run course</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[About this program]</div>
    <button class="hover:text-blue-800 hover:border-b-2 border-black">version 8</button>
    </div>


      `

  }