export default {
    name: "goLawIncrem1Component",
    data() {
      return {
        qtxt: "",
        qans: "",
        qnum: 1
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        <span class="text-xl">Go through laws incrementally:</span><br>
        <button @click="LawLeft()" class="hover:bg-sky-500 rounded-lg"> << One law left</button> 
        <button @click="LawRight()" class="hover:bg-sky-500 rounded-lg">One law right >> </button><br>
        <div v-text="qtxt"></div>
        <div v-text="qans"></div>
    </div>
      `,
      methods:{
        LawLeft(){
          this.qnum-=1
          if (this.qnum<1) this.qnum=525
          let o=this.qnum
          let text3 = fetch("../resources/en/otza/za_"+o+".txt").then(response => {
            if (!response.ok) {
                throw new Error("HTTP error " + response.status)
            }
            return response.text()
            })
            .then(text => {
                                   
                    
                    let text4 = fetch("../resources/en/otza/zao_"+o+".txt").then(response2 => {
                        if (!response2.ok) {
                            throw new Error("HTTP error " + response2.status)
                        }
                        return response2.text()
                        })
                        .then(text2 => {
                            this.qtxt=text + String("[Môžeš editovať v " + "/resources/en/otza/za_"+o+".txt]")
                            this.qans="Answer: "+text2                            
                        })
                        .catch(error2 => {
                            // Handle/report error
                            console.log(error2.message)
                        })                                                                                                                                                                                        
            })
            .catch(error => {
                // Handle/report error
                console.log(error.message)
            })


        },
        LawRight(){
          this.qnum+=1
          if (this.qnum>525) this.qnum=1
          let o=this.qnum
          let text3 = fetch("../resources/en/otza/za_"+o+".txt").then(response => {
            if (!response.ok) {
                throw new Error("HTTP error " + response.status)
            }
            return response.text()
            })
            .then(text => {
                                   
                    
                    let text4 = fetch("../resources/en/otza/zao_"+o+".txt").then(response2 => {
                        if (!response2.ok) {
                            throw new Error("HTTP error " + response2.status)
                        }
                        return response2.text()
                        })
                        .then(text2 => {
                            this.qtxt=text + String("[Môžeš editovať v " + "/resources/en/otza/za_"+o+".txt]")
                            this.qans="Answer: "+text2                            
                        })
                        .catch(error2 => {
                            // Handle/report error
                            console.log(error2.message)
                        })                                                                                                                                                                                    
                
                
            })
            .catch(error => {
                // Handle/report error
                console.log(error.message)
            })



        }
      }

  }