import sharedEncryptor from "./sharedEncryptor.js"
export default {
    name: "courseRunComponent",
    components:{
      sharedEncryptor
    },
    data() {
      return {
        msg1: "",
        msg2:"",
        courses:[],
        course:"",
        qpic: "",
        qtxt: "",
        qans:"",
        aquest: [],
        id2: 1,
        qnum:1
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        Spusti kurz, ak máš nejaký uložený v tomto prehliadači:
        <form class="flex flex-col justify-between" >
          <div v-text="msg1" class="text-red-600"> </div>
           <select @change="runSel1" v-model="course">
                <option>none</option>
                <option v-for="item in courses" :value=item.val>{{item.val}}</option>
            </select>
          <div v-text="msg2" class="text-red-600"> </div>  
         </form>
         <li class="flex list-none ml-auto mr-auto justify-start items-center flex-col bg-white" v-for="item in aquest" :key="item.id">
            <img :src="item.pic" ><br>{{item.txt}}<br>{{item.ans}}
        </li>
    </div>
      `,
      mounted(){
        //alert(localStorage.getItem("loggedInUser")) //ok this should be nikto default user
        try{
            let kurzy = localStorage.getItem("zozku")
            if (kurzy == null){
                localStorage.setItem("zozku","")
            }
            if (kurzy.trim() == "" || kurzy==null){
                this.msg1="V tomto prehliadači nie sú uložené žiadne kurzy."
            }else{
                this.msg1="V tomto prehliadači sú uložené tieto kurzy, zvoľ si jeden pre načítanie:"
                let exploded=kurzy.split(",")
                for(let t=0;t<exploded.length;t++){
                    if(exploded[t].trim()!=""){
                        this.courses.push({
                            id:t, val:String(exploded[t].trim())
                        })
                    }
                    
                }
            }
        }catch(err1){
            this.msg1=err1
        }
          
      },
      methods:{
        runSel1(){            
            try{
                if(this.courses.length>0 && this.course.trim()!="none"){
                    this.msg2="Práve som načítal zvolený kurz " + this.course + " "
                    if(!localStorage.getItem("zozku")){
                        this.msg2="Vyskytla sa chyba s lokálnym úložiskom zoznam kurzov..."
                    }else{
                        let list1 = localStorage.getItem("zozku").split(",")
                        for(let x=0;x<list1.length;x++){
                            if(this.course.trim() == list1[x].trim()){
                                if(!localStorage.getItem("kurzy_"+this.course.trim())){
                                    this.msg2="Vyskytla sa chyba s kurzom " + this.course.trim()
                                }else{
                                 //if all checks are done, we can read this course in a loop and generate all questions
                                    let questions1=localStorage.getItem("kurzy_"+this.course.trim()).split(",")
                                    for(let y=0;y<questions1.length;y++) if(questions1[y]) {} else questions1.pop()
                                    this.aquest=[] 
                                
                                    for(let y=0; y<questions1.length;y++){
                                        this.id2=y   
                                       
                                        if(questions1[y].indexOf("za")>-1  && !parseInt(questions1[y].trim())){
                                             
                                            questions1[y]=questions1[y].replace("za","")
                                            
                                                                                     
                                            this.qnum=questions1[y]
                                          
                                            let text3 = fetch("../resources/sk/otza/za_"+this.qnum.trim()+".txt").then(response => {
                                                if (!response.ok) {
                                                   
                                                    throw new Error("HTTP error " + response.status)
                                                    
                                                }
                                                return response.text()
                                                })
                                                .then(text => {                                                                                                                                              
                                                                                                        
                                                        let text4 = fetch("../resources/sk/otza/zao_"+questions1[y].trim()+".txt").then(response2 => {
                                                            if (!response2.ok) {
                                                                throw new Error("HTTP error " + response2.status)                                                                
                                                            }
                                                            return response2.text()
                                                            })
                                                            .then(text8 => {
                                                                this.qpic="../resources/empty.jpg"
                                                                this.qtxt=text + String("[Môžeš editovať v " + "/resources/sk/otza/za_"+questions1[y]+".txt]")
                                                                this.qans="Odpoveď: " + String(text8)
                                                                this.aquest.push({id:this.id2, pic:this.qpic, txt: this.qtxt, ans: this.qans}) 
                                                                
                                                               
                                                                
                                                            })
                                                            .catch(error2 => {
                                                                // Handle/report error                                                                
                                                                this.msg2=error2.message
                                                                console.log(error2.message)
                                                                
                                                            })                                                                                                                                                                                    
                                                  
                                                    
                                                })
                                                .catch(error => {
                                                    // Handle/report error                                                     
                                                    this.msg2=error.message                               
                                                    console.log(error.message)
                                                    
                                                })
                                                


                                        }
                                     
                                        if(!questions1[y].indexOf("za")>-1 && !parseInt(questions1[y].trim())){
                                            
                                            questions1[y]=questions1[y].replace("z","")
                                            
                                            if(questions1[y]) this.qnum=questions1[y]
                                                                                        
                                                                                                                                                                             
                                            let text3 = fetch("../resources/sk/otzn/z_"+questions1[y].trim()+".txt").then(response => {
                                                if (!response.ok) {
                                                   
                                                    throw new Error("HTTP error " + response.status)
                                                    
                                                }
                                                return response.text()
                                                })
                                                .then(text => {                                                                                                                                              
                                                                                                              
                                                        let text4 = fetch("../resources/sk/otzn/zo_"+questions1[y].trim()+".txt").then(response2 => {
                                                           
                                                            if (!response2.ok) {
                                                                throw new Error("HTTP error " + response2.status)                                                                
                                                            }
                                                            return response2.text()
                                                            })
                                                            .then(text5 => {
                                                                this.qpic="../resources/sk/znackyobr/z"+questions1[y].trim()+".jpg"
                                                                this.qtxt=text + String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+questions1[y].trim()+".txt]")
                                                                this.qans="Odpoveď: " + String(text5)
                                                                this.aquest.push({id:this.id2, pic:this.qpic, txt: this.qtxt, ans: this.qans}) 
                                                                
                                                                                                                               
                                                            })
                                                            .catch(error2 => {
                                                                // Handle/report error                                                                
                                                                this.msg2=error2.message
                                                                console.log(error2.message)
                                                                
                                                            })                                                                                                                                                                                    
                                                  
                                                    
                                                })
                                                .catch(error => {
                                                    // Handle/report error                                                     
                                                    this.msg2=error.message                               
                                                    console.log(error.message)
                                                    
                                                })
                                                


                                        }
                                        
                                    }

                                }

                            }
                        }
                    }
                   
                }else{
                    this.msg2=""
                }
                                       
            }catch(err1){
                this.msg1=err1
            }
        }
        }
      }

