export default {
    name: "goInterIncr1Component",
    data() {
      return {
        qtxt: "",
        qans: "",
        qnum: 145,
        qpic: ""
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        <span class="text-xl">Prechádzať križovatky postupne:</span><br>
        <button @click="InterLeft()" class="hover:bg-sky-500 rounded-lg"> << O jednu križovatku vľavo</button> 
        <button @click="InterRight()" class="hover:bg-sky-500 rounded-lg">O jednu križovatku vpravo >> </button><br>
        <img :src="qpic"><br>
        <div v-text="qtxt"></div>
        <div v-text="qans"></div>
    </div>
      `,
      methods:{
        InterLeft(){
          this.qnum-=1
          if (this.qnum<145) this.qnum=288
          let o=this.qnum
          let text3 = fetch("../resources/sk/otzn/z_"+o+".txt").then(response => {
            if (!response.ok) {
                throw new Error("HTTP error " + response.status)
            }
            return response.text()
            })
            .then(text => {
                                   
                    
                    let text4 = fetch("../resources/sk/otzn/zo_"+o+".txt").then(response2 => {
                        if (!response2.ok) {
                            throw new Error("HTTP error " + response2.status)
                        }
                        return response2.text()
                        })
                        .then(text2 => {
                            this.qpic="../resources/sk/znackyobr/z"+o+".jpg"
                            this.qtxt=text + String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")
                            this.qans="Odpoveď: "+text2                            
                        })
                        .catch(error2 => {
                            // Handle/report error
                            console.log(error2.message)
                        })                                                                                                                                                                                        
            })
            .catch(error => {
                // Handle/report error
                console.log(error.message)
            })


        },
        InterRight(){
          this.qnum+=1
          if (this.qnum>288) this.qnum=145
          let o=this.qnum
          let text3 = fetch("../resources/sk/otzn/z_"+o+".txt").then(response => {
            if (!response.ok) {
                throw new Error("HTTP error " + response.status)
            }
            return response.text()
            })
            .then(text => {
                                   
                    
                    let text4 = fetch("../resources/sk/otzn/zo_"+o+".txt").then(response2 => {
                        if (!response2.ok) {
                            throw new Error("HTTP error " + response2.status)
                        }
                        return response2.text()
                        })
                        .then(text2 => {
                            this.qpic="../resources/sk/znackyobr/z"+o+".jpg"
                            this.qtxt=text + String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")
                            this.qans="Odpoveď: "+text2                            
                        })
                        .catch(error2 => {
                            // Handle/report error
                            console.log(error2.message)
                        })                                                                                                                                                                                    
                
                
            })
            .catch(error => {
                // Handle/report error
                console.log(error.message)
            })



        }
      }

  }