export default {
    name: "interNknowTest1Component",
    
    data() {
      return {
        atxt:[],        
        spic:"",
        sans:"",
        stxt:"",        
        classes2:[],
        count2 : [],
        strWrong: ""
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        <div class="text-xl text-blue-600">Test križovatky, ktoré si nevedel pri testovaní:</div>
        <form class="flex flex-col justify-between items-center" >         
        <li class="list-none" v-for="item in atxt" :key="item.id">
          
            <img class="flex ml-auto mr-auto justify-start items-center" :src="item.pic" ><br>{{item.txt}}<br>
            <div v-if="!classes2[item.id]"> 
            <span class="flex ml-auto mr-auto justify-start items-center text-red-600" @click="showAnswer(item.id, item.idq, item.ans, 'A)')" v-html="item.rdio1"></span> 
            <span class="flex ml-auto mr-auto justify-start items-center text-red-600" @click="showAnswer(item.id, item.idq, item.ans, 'B)')" v-html="item.rdio2"></span> 
            <span class="flex ml-auto mr-auto justify-start items-center text-red-600" @click="showAnswer(item.id, item.idq, item.ans, 'C)')" v-html="item.rdio3"></span>
           </div>  
            <div class="flex ml-auto mr-auto justify-start items-center text-green-600" v-if="classes2[item.id]">Správna odpoveď je {{item.ans}}</div>            
        </li>
                
        </form>
    </div>
      `,
      mounted(){
                let empty1="../resources/empty.jpg"
                this.atxt=[]
               
                //let obj1search={id:0, pic:"", txt: "", ans:""} //just obj structure
                for(let o=1; o<=27; o++){
                    this.classes2[o]=false
                    let u = -1

                    if (localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))) != null && localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))) != ""){
                        if (localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))).trim().length>0){
                         //alert(localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))).split(",").length)
                         let unknown1 = localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))).split(",")
                if (unknown1.length>0 && localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))).indexOf("z_") > -1){
                    let breaker1=false
                    for(let i=0; i<unknown1.length; i++){
                        unknown1=this.shuffle_arr(unknown1)
                        for(let j=145; j<289; j++){
                            if (unknown1[i].indexOf(String("z_"+j))>-1 && unknown1[i].length==String("z_"+j).length){    
                                //alert(j + " "+unknown1[i].split("_")[1])                                             
                                u=unknown1[i].split("_")[1]                    
                                breaker1=true
                                break                               
                            }
                         }
                         if (breaker1==true) break
                    }
                                }else{
                                 this.stxt="Málo otázok, ktoré si nevedel, sprav si náhodný test, aby sa nejaké vygenerovali."
                                 this.sansans="-1 nevygenerované"
                                 this.atxt.push({id:o, pic:this.spic, txt: this.stxt, ans: this.sans, 
                                    rdio1: "<input type=\"radio\" name=\"r"+o+"\" id=\"ra"+o+"\" value=\""+this.sans+"\" /><label for=\"r"+o+"\"> Vyber odpoveď A)</label>",
                                    rdio2: "<input type=\"radio\" name=\"r"+o+"\" id=\"rb"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď B)</label>",
                                    rdio3: "<input type=\"radio\" name=\"r"+o+"\" id=\"rc"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď C)</label>",
                                    idq:"za_err",
                                }) 
                                return
                            }            
                         }else{
                             this.stxt="Málo otázok, ktoré si nevedel, sprav si náhodný test, aby sa nejaké vygenerovali."
                             this.sans="-1 nevygenerované"
                             this.atxt.push({id:o, pic:this.spic, txt: this.stxt, ans: this.sans, 
                                rdio1: "<input type=\"radio\" name=\"r"+o+"\" id=\"ra"+o+"\" value=\""+this.sans+"\" /><label for=\"r"+o+"\"> Vyber odpoveď A)</label>",
                                rdio2: "<input type=\"radio\" name=\"r"+o+"\" id=\"rb"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď B)</label>",
                                rdio3: "<input type=\"radio\" name=\"r"+o+"\" id=\"rc"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď C)</label>",
                                idq:"za_err",
                            }) 
                            return
                             
                        }                       
                       }else{
                         //alert("Málo otázok, koré si nevedel, sprav si náhodný test, aby sa nejaké vygenerovali.")
                         this.stxt="Málo otázok, ktoré si nevedel, sprav si náhodný test, aby sa nejaké vygenerovali."
                         this.sans="-1 nevygenerované"
                         this.atxt.push({id:o, pic:this.spic, txt: this.stxt, ans: this.sans, 
                            rdio1: "<input type=\"radio\" name=\"r"+o+"\" id=\"ra"+o+"\" value=\""+this.sans+"\" /><label for=\"r"+o+"\"> Vyber odpoveď A)</label>",
                            rdio2: "<input type=\"radio\" name=\"r"+o+"\" id=\"rb"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď B)</label>",
                            rdio3: "<input type=\"radio\" name=\"r"+o+"\" id=\"rc"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď C)</label>",
                            idq:"za_err",
                        }) 
                        return
                       }

                    let text3 = fetch("../resources/sk/otzn/z_"+u+".txt").then(response => {
                            if (!response.ok) {
                                throw new Error("HTTP error " + response.status)
                            }
                            return response.text()
                            })
                            .then(text => {    
                                    let text4 = fetch("../resources/sk/otzn/zo_"+u+".txt").then(response2 => {
                                        if (!response2.ok) {
                                            throw new Error("HTTP error " + response2.status)
                                        }
                                        return response2.text()
                                        })
                                        .then(text2 => {
                                            this.spic="../resources/sk/znackyobr/z"+u+".jpg"
                                            this.stxt=text + String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+u+".txt]")
                                            this.sans=text2
                                            this.atxt.push({id:o, pic:this.spic, txt: this.stxt, ans: this.sans, 
                                                rdio1: "<input type=\"radio\" name=\"r"+o+"\" id=\"ra"+o+"\" value=\""+this.sans+"\" /><label for=\"r"+o+"\"> Vyber odpoveď A)</label>",
                                                rdio2: "<input type=\"radio\" name=\"r"+o+"\" id=\"rb"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď B)</label>",
                                                rdio3: "<input type=\"radio\" name=\"r"+o+"\" id=\"rc"+o+"\" value=\""+this.sans+"\" /> <label for=\"r"+o+"\"> Vyber odpoveď C)</label>",
                                                idq:"za_"+u,
                                            }) 
                                            
                                        })
                                        .catch(error2 => {
                                            // Handle/report error
                                            console.log("Chyba: "+error2.message)
                                        })                                                                                                                                                                                    
                                
                                
                            })
                            .catch(error => {
                                // Handle/report error
                                console.log("Chyba: "+error.message)
                            })

                            
                } //end of zakony

                
                
            },
      methods:{ 
        shuffle_arr(values){
            let index = values.length,
            randomIndex;

        // While there remain elements to shuffle.
        while (index != 0) {
            // Pick a remaining element.
            randomIndex = Math.floor(Math.random() * index)
            index--;

            // And swap it with the current element.
            [values[index], values[randomIndex]] = [values[randomIndex], values[index]];
        }

        return values
        },
        //id2 is just order of question 1-27 to identify answer after click
        //idq is real id question from 1-525, 1-288 for localstorage to set
        //ans is real answer for the question        
        showAnswer(id2,idq,ans,clckans){
            this.classes2[id2]=true
            
            this.count2.push(id2)
            if (ans.trim() != clckans.trim()) {
                //alert("Nesprávna odpoveď, otázka "+ idq + " Mala byť odpoveď "+ans+" Dal si odpoveď "+clckans)
                //now we can add idq to localStorage string by commas
                this.strWrong+=idq+","
            }
            
            //now the question is when to append strWrong to localStorage[nevedel_usrName], dont forget to load usrName logged actually in
            //this time is when all this.classes2[1-27] are set to true, coz it is when every answer is clicked open
            if (localStorage.getItem("loggedInUser")!="" && localStorage.getItem("loggedInUser") != null ){                
                if (this.count2.length==27){//if we clicked all answers
                    //alert("Write wrongAnswers to localStorage[nevedel_usrName]")
                    try{
                        if(localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser")))==null) localStorage.setItem("nevedel_"+String(localStorage.getItem("loggedInUser")),"")                        
                        if(localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))).indexOf("null")>-1) localStorage.setItem("nevedel_"+String(localStorage.getItem("loggedInUser")),"")                        
                        localStorage.setItem("nevedel_"+String(localStorage.getItem("loggedInUser")),String(localStorage.getItem("nevedel_"+String(localStorage.getItem("loggedInUser"))))+this.strWrong)                        
                    }catch(e){
                        console.warn("localStorage nevedel_usrName does not exist, randomTest1Component.js line 193 "+e.message)
                    }
                }
            }else{
                //user is null in localstorage, set nikto default
                if (this.count2.length==27){//if we clicked all answers
                    localStorage.setItem("nevedel_nikto",this.strWrong)
                }
            }

        }

  }
}
