import NavBarComponent from "./NavBarComponent.js"
import sessionLogin1Component from "./sessionLogin1Component.js"
import addUser1Component from "./addUser1Component.js"
import deleteUser1Component from "./deleteUser1Component.js"
import findStr1Component from "./findStr1Component.js"
import engines1Component from "./engines1Component.js"
import goLawIncrem1Component from "./goLawIncrem1Component.js"
import goLawRand1Component from "./goLawRand1Component.js"
import goSignIncr1Component from "./goSignIncr1Component.js"
import goSignRand1Component from "./goSignRand1Component.js"
import goInterIncr1Component from "./goInterIncr1Component.js"
import goInterRand1Component from "./goInterRand1Component.js"
import vyInterComponent from "./vyInterComponent.js"
import randomTest1Component from "./randomTest1Component.js"
import lawsRandTest1Component from "./lawsRandTest1Component.js"
import signsRandTest1Component from "./signsRandTest1Component.js"
import intersRandTest1Component from "./intersRandTest1Component.js"
import goLawNknow1Component from "./goLawNknow1Component.js"
import goSignNknow1Component from "./goSignNknow1Component.js"
import goInterNknow1Component from "./goInterNknow1Component.js"
import lawsNknowTest1Component from "./lawsNknowTest1Component.js"
import signsNknowTest1Component from "./signsNknowTest1Component.js"
import interNknowTest1Component from "./interNknowTest1Component.js"
import zdravRandTest1Component from "./zdravRandTest1Component.js"
import courseMakeComponent from "./courseMakeComponent.js"
import courseDeleteComponent from "./courseDeleteComponent.js"
import courseRunComponent from "./courseRunComponent.js"
export default {
    name: "App8Sk",
    components: {
        NavBarComponent,
        sessionLogin1Component,
        addUser1Component,
        deleteUser1Component,
        findStr1Component,
        engines1Component,
        goLawIncrem1Component,
        goLawRand1Component,
        goSignIncr1Component,
        goSignRand1Component,
        goInterIncr1Component,
        goInterRand1Component,
        vyInterComponent,
        randomTest1Component,
        lawsRandTest1Component,
        signsRandTest1Component,
        intersRandTest1Component,
        goLawNknow1Component,
        goSignNknow1Component,
        goInterNknow1Component,
        lawsNknowTest1Component,
        signsNknowTest1Component,
        interNknowTest1Component,
        zdravRandTest1Component,
        courseMakeComponent,
        courseDeleteComponent,
        courseRunComponent
      },
    data() {
      return {
        isSpinner: true, //whether there is spinner on the blank page
        sessionLogin11:false, //whether you clicked on the navbar item and presented content
        addUser11:false,
        deleteUser11: false,
        findStr11: false,
        engines11:false,
        goLawIncrem11:false,
        goLawRand11:false,
        goSignIncr11:false,
        goSignRand11: false,
        goInterIncr11: false,
        goInterRand11: false,
        vyInterIncr11: false,
        rnTest11: false,
        lrnTest11: false,
        srnTest11: false,
        irnTest11: false,
        goLawNknow11: false,
        goSignNknow11: false,
        goInterNknow11: false,
        lnkTest11: false,
        snkTest11: false,
        inkTest11: false,
        zrnTest11: false,
        coursMake11:false,
        coursDelete11: false,
        coursRun11: false
      }
    },
    template: `
    <div class="gap-y-2 gap-x-2 mt-2 mb-20 flex min-h-full flex-col bg-white grow">
    <div class="flex rounded-lg ml-auto mr-auto justify-center items-center h-[100%] w-[90%] bg-white">
        <img class="rounded-lg" alt="Desktop aplikácia" title="Desktop aplikácia" src="../assets/images/title_autoskola8.jpg">
    </div>
    <div class="flex ml-auto mr-auto justify-center h-auto w-[90%] flex-row grow">
      <div class="rounded-lg mr-2 flex flex-col justify-start items-center w-64 bg-white">
      <NavBarComponent 
      @main_page1="mainPage1" 
      @session_login1="sessionLogin1" 
      @session_logout1="sessionLogout1"
      @session_who1="sessionWho1" 
      @add_user1="addUser1" 
      @delete_user1="deleteUser1" 
      @find_str1="findStr1" 
      @engines1="engines1" 
      @law_increm1="lincrem1" 
      @law_rand1="lrand1" 
      @sign_incr1="sincr1" 
      @sign_rand1="srand1" 
      @inter_incr1="iincr1" 
      @inter_rand1="irand1"
      @inter_vy1="vyincr1" 
      @rn_test1="rntest1" 
      @lrn_test1="lrntest1" 
      @srn_test1="srntest1" 
      @irn_test1="irntest1" 
      @law_nknow1="lnknow1" 
      @sign_nknow1="snknow1" 
      @inter_nknow1="inknow1" 
      @lnk_test1="lnktest1" 
      @snk_test1="snktest1" 
      @ink_test1="inktest1" 
      @zrn_test1="zrntest1" 
      @course_make1="crsmake1"
      @course_delete1="crsdelete1" 
      @course_run1="crsrun1" 

      />
      </div>
      <div class="rounded-lg ml-2 flex justify-center items-start w-full bg-white">

      <div v-if="isSpinner" class="lds-facebook text-blue-600"><div></div><div></div><div></div></div>
      <div v-if="isSpinner" class="lds-heart text-blue-600"><div></div></div>
      <div v-if="isSpinner" class="lds-grid text-blue-600"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>

      <sessionLogin1Component v-if="sessionLogin11"/>
      <addUser1Component v-if="addUser11" /> 
      <deleteUser1Component v-if="deleteUser11" />
      <findStr1Component v-if="findStr11" />
      <engines1Component v-if="engines11" />
      <goLawIncrem1Component v-if="goLawIncrem11" />
      <goLawRand1Component v-if="goLawRand11" />
      <goSignIncr1Component v-if="goSignIncr11" />
      <goSignRand1Component v-if="goSignRand11" />
      <goInterIncr1Component v-if="goInterIncr11" />
      <goInterRand1Component v-if="goInterRand11" />
      <vyInterComponent v-if="vyInterIncr11" />
      <randomTest1Component v-if="rnTest11" />
      <lawsRandTest1Component v-if="lrnTest11" />
      <signsRandTest1Component v-if="srnTest11" />
      <intersRandTest1Component v-if="irnTest11" />
      <goLawNknow1Component v-if="goLawNknow11" /> 
      <goSignNknow1Component v-if="goSignNknow11" /> 
      <goInterNknow1Component v-if="goInterNknow11" />
      <lawsNknowTest1Component v-if="lnkTest11" /> 
      <signsNknowTest1Component v-if="snkTest11" /> 
      <interNknowTest1Component v-if="inkTest11" /> 
      <zdravRandTest1Component v-if="zrnTest11" /> 
      <courseMakeComponent v-if="coursMake11" />
       <courseDeleteComponent v-if="coursDelete11" /> 
       <courseRunComponent v-if="coursRun11" />
      
      </div>
    </div>
    <div class="flex rounded-lg mr-auto ml-auto justify-center items-center h-32 w-[90%] bg-white text-center">Vytvoril Mgr. Janko Hruboš | 
    https://hrubos.org | janko.hrubos@gmail.com | Použité: vue3js+tailwindcss3+html5 ;-)
    </div>
  </div>
      `,
      mounted(){
        try{
        localStorage.setItem("test3245","testok")
        if (!localStorage.getItem("test3245") == "testok"){
            alert("Error: Can not use, initialize localStorage! Nepodarilo sa inicializovať localStorage!")
            this.mainPage1()
        }else{
            localStorage.setItem("loggedInUser","nikto")
            if(!localStorage.getItem("zozku")){
              localStorage.setItem("zozku","")
            }
        }
      }catch(err4){
        alert(err4)
      }
      },
      methods:{
        mainPage1(){
            let fullPath1= window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname
            let pathArray1=fullPath1.split("/")
            pathArray1.pop()
            let compound1=""
            for(let i=0;i<pathArray1.length-1;i++){
            if (i===0){
                compound1+=pathArray1[i]+"/"  
            }else{
                compound1+=pathArray1[i]+"/"
            }          
            } 
            //alert(compound1)
            window.location.assign(compound1)
        },
        crsrun1(){
          this.coursRun11 = true
          this.coursDelete11=false
          this.coursMake11 = false 
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        crsdelete1(){ 
          this.coursRun11 = false       
          this.coursDelete11=true
          this.coursMake11 = false 
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false

        },
        crsmake1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = true 
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false


        },
        zrntest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false 
          this.zrnTest11=true
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        inktest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = true
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        snktest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=true
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        lnktest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=true
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        inknow1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=true
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        snknow1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=true
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        lnknow1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=true
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        irntest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=true
          this.srnTest11=false
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        srntest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=true
          this.lrnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        lrntest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.srnTest11=false
          this.lrnTest11=true
          this.rnTest11=false
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        rntest1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=true
          this.vyInterIncr11 = false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        vyincr1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.vyInterIncr11 = true
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
        },
        iincr1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=true
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        irand1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=true
          this.vyInterIncr11 = false
        },
        sincr1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=true
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false

        },
        srand1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=true
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        lrand1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=true
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        lincrem1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
            this.rnTest11=false
            this.isSpinner=false
            this.sessionLogin11=false
            this.addUser11=false
            this.deleteUser11=false
            this.findStr11=false
            this.engines11=false
            this.goLawIncrem11=true
            this.goLawRand11=false
            this.goSignIncr11=false
            this.goSignRand11=false
            this.goInterIncr11=false
            this.goInterRand11=false
            this.vyInterIncr11 = false
        },
        sessionLogin1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
            this.rnTest11=false
            this.isSpinner=false
            this.sessionLogin11=true
            this.addUser11=false
            this.deleteUser11=false
            this.findStr11=false
            this.engines11=false
            this.goLawIncrem11=false
            this.goLawRand11=false
            this.goSignIncr11=false
            this.goSignRand11=false
            this.goInterIncr11=false
            this.goInterRand11=false
            this.vyInterIncr11 = false
        },
        addUser1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=true
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        deleteUser1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=true
          this.findStr11=false
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        findStr1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=true
          this.engines11=false
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        engines1(){
          this.coursRun11 = false
          this.coursDelete11=false
          this.coursMake11 = false
          this.zrnTest11=false
          this.inkTest11 = false
          this.snkTest11=false
          this.lnkTest11=false
          this.goInterNknow11=false
          this.goSignNknow11=false
          this.goLawNknow11=false
          this.irnTest11=false
          this.lrnTest11=false
          this.srnTest11=false
          this.rnTest11=false
          this.isSpinner=false
          this.sessionLogin11=false
          this.addUser11=false
          this.deleteUser11=false
          this.findStr11=false
          this.engines11=true
          this.goLawIncrem11=false
          this.goLawRand11=false
          this.goSignIncr11=false
          this.goSignRand11=false
          this.goInterIncr11=false
          this.goInterRand11=false
          this.vyInterIncr11 = false
        },
        sessionLogout1(){
            alert("Úspešne odhlásený. Nastavujem localStorage na štandardného používateľa 'nikto'")
            localStorage.setItem("loggedInUser","nikto")
            if (localStorage.getItem("loggedInUser")!="nikto"){
              alert("Chyba: Nepodarilo sa nastaviť štandardného používateľa na 'nikto'")
            }
        },
        sessionWho1(){
          if(localStorage.getItem("loggedInUser")==null && localStorage.getItem("loggedInUser")==""){
            alert("Chyba: Prihlásený používateľ sa nenašiel!")
          }else{
            alert("Momentálne prihlásený v relácií je: " + localStorage.getItem("loggedInUser"))
          }
          
        }
      }
  }
