export default {
    name: "findStr1Component",
    data() {
      return {
        search1: "",
        errSearch1: "",
        atxt:[],
        a2txt:[],
        spic:"",
        sans:"",
        stxt:"",
        o:1,
        o2:1,
        o3:1,
        o4:1     
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        Enter search value:
        <form class="flex flex-col justify-between" @submit.prevent="loadSearched1">
         <label class="flex justify-between mb-2">
            Search term: <input autocomplete="off" v-model="search1" class="rounded-lg border-2 border-black" type="text" name="search1">
         </label>
         <div v-text="errSearch1" class="text-red-600"> </div>
         
         <input class="cursor-progress bg-blue-400 rounded-lg mt-2 hover:bg-blue-600" type="submit" name="submit1" value="Search in data">
        <li class="list-none" v-for="item in atxt" :key="item.id">
            <img :src="item.pic" ><br>{{item.txt}}<br>{{item.ans}}
        </li>

         </form>
    </div>
      `,
      unmounted(){
        clearInterval(this.myInterval)
        clearInterval(this.myInterval2)
        clearInterval(this.myInterval3)
      },
      methods:{ 
        loadSearched1(){ //checks on load and later generating searched items populating template
            this.errSearch1=""
            if(this.search1.trim().length<3) {
                this.errSearch1="The search word must contain at least 3 chars."
                this.search1=""
                return
            }
            if(this.search1.trim().length>50) {
                this.errSearch1="Search word can contain max 50 chars."
                this.search1=""
                return
            }
            if(this.search1.trim().indexOf("_")!=-1) {
                this.errSearch1="Search word cant contain underscore."
                this.search1=""
                return
            }
            this.generateSearched() //this should search in all *.txt&*.jpg files and to populate the template with answers
      },
        generateSearched(){ //populates template v-for after appropriate search
            if (this.search1.trim() != "") {
                //alert("Vyhľadávanie začalo")
                let empty1="../resources/empty.jpg"
                this.atxt=[]
                this.errSearch1=""
                this.o=1
                this.o3=1
                this.o4=1
                
                //let obj1search={id:0, pic:"", txt: "", ans:""} //just obj structure
                //for(let o=1; o<=525; o++){
                    //this.errSearch1="" 
                    
                this.myInterval=setInterval(function(){
                        let text3 = fetch("../resources/en/otza/za_"+this.o+".txt").then(response => {
                            if (!response.ok) {
                                throw new Error("HTTP error " + response.status)
                            }
                            return response.text()
                            })
                            .then(text => {
                                
                                if(text.toUpperCase().trim().indexOf(this.search1.toUpperCase().trim())>-1) {
                                    this.o2=this.o-1
                                                                        
                                    let text4 = fetch("../resources/en/otza/zao_"+this.o2+".txt").then(response2 => {
                                        if (!response2.ok) {
                                            throw new Error("HTTP error " + response2.status)
                                        }
                                        return  response2.text()
                                        })
                                        .then(text2 => {
                                            this.spic=empty1
                                            this.stxt=text + String("[You can edit in " + "/resources/en/otza/za_"+this.o2+".txt]")
                                            this.sans="Answer: " + String(text2)
                                            this.atxt.push({id:this.o, pic:this.spic, txt: this.stxt, ans: this.sans}) 
                                            
                                        })
                                        .catch(error2 => {
                                            // Handle/report error
                                            console.log(error2.message)
                                            
                                        })                                                                                                                                                                                    
                                
                                }
                            })
                            .catch(error => {
                                // Handle/report error                                
                                console.log(error.message)
                                
                            })
                            
                            if (this.o<=526) {
                                this.errSearch1="Searching in progress... If the field is empty, nothing found, please wait. Crawled "+String(this.o)+" from 525 laws..."                                           
                                this.o++
                            }
                            if (this.o>525) {
                                
                                clearInterval(this.myInterval)  
                                                                

                                 // for(let o=1; o<=27; o++){
                                this.myInterval2=setInterval(function(){
                                    
                                    let text3 = fetch("../resources/sk/otzdr/ozdr"+this.o3+".txt").then(response => {
                                        if (!response.ok) {
                                            throw new Error("HTTP error " + response.status)
                                        }
                                        return response.text()
                                        })
                                        .then(text => {
                                            
                                            if(text.toUpperCase().trim().indexOf(this.search1.toUpperCase().trim())>-1) {
                                                
                                                this.o2=this.o3-1
                                                
                                                let text4 = fetch("../resources/sk/otzdr/odzdr"+this.o3+".txt").then(response2 => {
                                                    if (!response2.ok) {
                                                        throw new Error("HTTP error " + response2.status)
                                                    }
                                                    return response2.text()
                                                    })
                                                    .then(text2 => {
                                                        this.spic=empty1
                                                        this.stxt=text + String("[You can edit in " + "/resources/sk/otzdr/ozdr"+this.o2+".txt]")
                                                        this.sans="Answer: "+String(text2)
                                                        this.atxt.push({id:this.o3+this.atxt.length, pic:this.spic, txt: this.stxt, ans: this.sans})                                            
                                                        
                                                    })
                                                    .catch(error2 => {
                                                        // Handle/report error
                                                        console.log(error2.message)
                                                        
                                                    })                                                                                                                                                                                    
                                            
                                            }
                                        })
                                        .catch(error => {
                                            // Handle/report error
                                            console.log(error.message)
                                        })
                                        

                                        if (this.o3<=28) {
                                            this.errSearch1="Searching in porgress... If the field is empty, nothing found, please wait. Crawled "+String(this.o3)+" from 27 healthcare..."                                           
                                            this.o3++
                                        }
                                        if (this.o3>27) {
                                            clearInterval(this.myInterval2)   
                                            
                                        this.myInterval3=setInterval(function(){   
                                            //for(let o=1; o<=288; o++){
                                                
                                                let text3 = fetch("../resources/en/otzn/z_"+this.o4+".txt").then(response => {
                                                    if (!response.ok) {
                                                        throw new Error("HTTP error " + response.status)
                                                    }
                                                    return response.text()
                                                    })
                                                    .then(text => {
                                                        if(text.toUpperCase().trim().indexOf(this.search1.toUpperCase().trim())>-1) {
                                                            this.o2=this.o4-1
                                                            
                                                            let text4 = fetch("../resources/en/otzn/zo_"+this.o2+".txt").then(response2 => {
                                                                if (!response2.ok) {
                                                                    throw new Error("HTTP error " + response2.status)
                                                                }
                                                                return response2.text()
                                                                })
                                                                .then(text2 => {
                                                                    //this.spic="<img src='../resources/sk/otzn/z"+o+".jpg' alt='"+String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")+"' title='"+String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")+"' />"
                                                                    this.spic="../resources/en/znackyobr/z"+this.o2+".jpg"
                                                                    this.stxt=text + String("[You can edit in " + "/resources/en/znackyobr/z_"+this.o2+".txt]")
                                                                    this.sans="Answer: "+String(text2)
                                                                    this.atxt.push({id:this.o4+this.atxt.length, pic:this.spic, txt: this.stxt, ans: this.sans})                                            
                                                                    
                                                                })
                                                                .catch(error2 => {
                                                                    // Handle/report error
                                                                    console.log(error2.message)
                                                                    
                                                                })                                                                                                                                                                                    
                                                        
                                                        }
                                                    })
                                                    .catch(error => {
                                                        // Handle/report error
                                                        console.log(error.message)
                                                        
                                                    })
                                                    
                                            
                                                    if (this.o4<=289) {
                                                        this.errSearch1="Searching in progress... If the field is empty, nothing found, please wait. Crawled "+String(this.o4)+" from 288 signs/intersections..."                                           
                                                        this.o4++
                                                    }
                                                    if (this.o4>288) {
                                                        clearInterval(this.myInterval3) 
                                                    }

                                            //} //end of for 288 krizovatky
                                        }.bind(this),1000) //end of set interval


                                        }

                    }.bind(this),1000) //end of set interval




                            }
                                
                        }.bind(this),1000) //end of set interval

                            
                //} //end of for 525
                

                        
              
                
                //} //end of for 27 zdravotna




                

            }
      }
    },

  }