export default {
    name: "NavBarComponent",
    emits: ["main_page1","session_login1","session_logout1","session_who1","add_user1", "delete_user1", 
    "find_str1", "engines1", "law_increm1", "law_rand1", "sign_incr1", "sign_rand1", "inter_incr1", 
  "inter_rand1", "inter_vy1", "rn_test1", "lrn_test1", "srn_test1", "irn_test1", "law_nknow1", 
  "sign_nknow1", "inter_nknow1", "lnk_test1", "snk_test1", "ink_test1", "zrn_test1", "course_make1", 
  "course_delete1", "course_run1" ],
    data() {
      return {
        count2: 0
      }
    },
    template: `
    <div class="border-r border-b border-blue-400 p-2 m-2 text-center">
    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Prihlás ma]</div>
    <button @click="$emit('main_page1')" class="hover:text-blue-800 hover:border-b-2 border-black">Hlavná stránka</button>
    <button @click="$emit('session_login1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prihlásenie na sedenie</button>
    <button @click="$emit('session_logout1')" class="hover:text-blue-800 hover:border-b-2 border-black">Odhlásenie zo sedenia</button>
    <button @click="$emit('session_who1')" class="hover:text-blue-800 hover:border-b-2 border-black">Kto je aktuálne prihlásený</button>
    <button @click="$emit('add_user1')" class="hover:text-blue-800 hover:border-b-2 border-black">Pridať používateľa</button>
    <button @click="$emit('delete_user1')" class="hover:text-blue-800 hover:border-b-2 border-black">Zmazať používateľa</button>
    <button @click="$emit('find_str1')" class="hover:text-blue-800 hover:border-b-2 border-black">Nájdi reťazec</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Ukážka]</div>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Dvojtaktný motor</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Štvortaktný motor</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Dieselový motor</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Wankelov motor</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Štirlingov motor</button>
    <button @click="$emit('engines1')" class="hover:text-blue-800 hover:border-b-2 border-black">Štvorvalec motor</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Výuka]</div>
    <button @click="$emit('law_increm1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať zákony postupne</button>
    <button @click="$emit('law_rand1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať zákony náhodne</button>
    <button @click="$emit('law_nknow1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať zákony, ktoré nevedel</button>
    <button @click="$emit('sign_incr1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať značky postupne</button>
    <button @click="$emit('sign_rand1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať značky náhodne</button>
    <button @click="$emit('sign_nknow1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať značky, ktoré nevedel</button>
    <button @click="$emit('inter_incr1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať križovatky postupne</button>
    <button @click="$emit('inter_rand1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať križovatky náhodne</button>
    <button @click="$emit('inter_nknow1')" class="hover:text-blue-800 hover:border-b-2 border-black">Prechádzať križovatky, ktoré nevedel</button>
    <button @click="$emit('inter_vy1')" class="hover:text-blue-800 hover:border-b-2 border-black">Výuka križovatiek</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Testovanie]</div>
    <button @click="$emit('rn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Náhodný test</button>
    <button @click="$emit('lnk_test1')"  class="hover:text-blue-800 hover:border-b-2 border-black">Zákony, ktoré nevedel</button>
    <button @click="$emit('lrn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Zákony náhodne</button>
    <button @click="$emit('snk_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Značky, ktoré nevedel</button>
    <button @click="$emit('srn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Značky náhodne</button>
    <button @click="$emit('ink_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Križovatky, ktoré nevedel</button>
    <button @click="$emit('irn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Križovatky náhodne</button>
    <button @click="$emit('zrn_test1')" class="hover:text-blue-800 hover:border-b-2 border-black">Zdravotná príprava</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[Kurz]</div>
    <button @click="$emit('course_make1')" class="hover:text-blue-800 hover:border-b-2 border-black">Vytvor kurz</button>
    <button @click="$emit('course_delete1')" class="hover:text-blue-800 hover:border-b-2 border-black">Zmaž kurz</button>
    <button @click="$emit('course_run1')" class="hover:text-blue-800 hover:border-b-2 border-black">Spusti kurz</button>

    <div class="border-black text-center hover:border-b w-[100%] cursor-not-allowed text-blue-600">[O programe]</div>
    <button class="hover:text-blue-800 hover:border-b-2 border-black">verzia 8</button>
    </div>


      `

  }