export default {
    name: "findStr1Component",
    data() {
      return {
        search1: "",
        errSearch1: "",
        atxt:[],
        a2txt:[],
        spic:"",
        sans:"",
        stxt:""        
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        Napíšte hľadaný výraz:
        <form class="flex flex-col justify-between" @submit.prevent="loadSearched1">
         <label class="flex justify-between mb-2">
            Vyhľadať slovo: <input autocomplete="off" v-model="search1" class="rounded-lg border-2 border-black" type="text" name="search1">
         </label>
         <div v-text="errSearch1" class="text-red-600"> </div>
         
         <input class="cursor-progress bg-blue-400 rounded-lg mt-2 hover:bg-blue-600" type="submit" name="submit1" value="Vyhľadať v autoškole">
        <li class="list-none" v-for="item in a2txt" :key="item.id">
            <img :src="item.pic" ><br>{{item.txt}}<br>{{item.ans}}
        </li>

         </form>
    </div>
      `,
      methods:{ 
        loadSearched1(){ //checks on load and later generating searched items populating template
            this.errSearch1=""
            if(this.search1.trim().length<3) {
                this.errSearch1="Slovo musí obsahovať nejaký text, minimálne 3 znaky."
                this.search1=""
                return
            }
            if(this.search1.trim().length>50) {
                this.errSearch1="Slovo môže mať maximálne 50 znakov."
                this.search1=""
                return
            }
            if(this.search1.trim().indexOf("_")!=-1) {
                this.errSearch1="Slovo nesmie obsahovať podtržník."
                this.search1=""
                return
            }
            this.generateSearched() //this should search in all *.txt&*.jpg files and to populate the template with answers
      },
        generateSearched(){ //populates template v-for after appropriate search
            if (this.search1.trim() != "") {
                //alert("Vyhľadávanie začalo")
                let empty1="../resources/empty.jpg"
                this.atxt=[]
                this.errSearch1=""
                let myInterval
                //let obj1search={id:0, pic:"", txt: "", ans:""} //just obj structure
                //for(let o=1; o<=525; o++){
                    this.errSearch1="" 
                    let o=1
                myInterval=setInterval(function(){
                        let text3 = fetch("../resources/sk/otza/za_"+o+".txt").then(response => {
                            if (!response.ok) {
                                throw new Error("HTTP error " + response.status)
                            }
                            return response.text()
                            })
                            .then(text => {
                                if(text.toUpperCase().trim().indexOf(this.search1.toUpperCase().trim())>-1) {
                                    
                                    
                                    let text4 = fetch("../resources/sk/otza/zao_"+o+".txt").then(response2 => {
                                        if (!response2.ok) {
                                            throw new Error("HTTP error " + response2.status)
                                        }
                                        return response2.text()
                                        })
                                        .then(text2 => {
                                            this.spic=empty1
                                            this.stxt=text + String("[Môžeš editovať v " + "/resources/sk/otza/za_"+o+".txt]")
                                            this.sans=text2
                                            this.atxt.push({id:o, pic:this.spic, txt: this.stxt, ans: this.sans}) 
                                            //this.errSearch1=""
                                        })
                                        .catch(error2 => {
                                            // Handle/report error
                                            console.log(error2.message)
                                            this.errSearch1=error2.message
                                        })                                                                                                                                                                                    
                                
                                }
                            })
                            .catch(error => {
                                // Handle/report error
                                this.errSearch1=error.message
                                console.log(error.message)
                                
                            })
                            o++
                            if (o<5) this.errSearch1="Kľúčové slovo sa hľadá... Ak je pole pod prázdne, nič sa nenašlo, čakajte prosím. Prejdené "+String(o)+" z 525 zákonov..."                                           
                            if (o==5) clearInterval(myInterval)
                        },1000) //end of set interval

                            
                //} //end of for 525
                

                        /*
                for(let o=1; o<=27; o++){
                    this.errSearch1=""                  
                    let text3 = fetch("../resources/sk/otzdr/ozdr"+o+".txt").then(response => {
                        if (!response.ok) {
                            throw new Error("HTTP error " + response.status)
                        }
                        return response.text()
                        })
                        .then(text => {
                            if(text.toUpperCase().trim().indexOf(this.search1.toUpperCase().trim())>-1) {
                                
                                
                                let text4 = fetch("../resources/sk/otzdr/odzdr"+o+".txt").then(response2 => {
                                    if (!response2.ok) {
                                        throw new Error("HTTP error " + response2.status)
                                    }
                                    return response2.text()
                                    })
                                    .then(text2 => {
                                        this.spic=empty1
                                        this.stxt=text + String("[Môžeš editovať v " + "/resources/sk/otzdr/ozdr"+o+".txt]")
                                        this.sans=text2
                                        this.atxt.push({id:o+27, pic:this.spic, txt: this.stxt, ans: this.sans})                                            
                                        this.errSearch1=""
                                    })
                                    .catch(error2 => {
                                        // Handle/report error
                                        console.log(error2.message)
                                        this.errSearch1=error2.message
                                    })                                                                                                                                                                                    
                            
                            }
                        })
                        .catch(error => {
                            // Handle/report error
                            console.log(error.message)
                        })
                        if (this.atxt.length<1) this.errSearch1="Kľúčové slovo sa hľadá... Ak je pole pod prázdne, nič sa nenašlo, čakajte prosím."
                
                } //end of for 27 zdravotna


                for(let o=1; o<=288; o++){
                    this.errSearch1=""                  
                    let text3 = fetch("../resources/sk/otzn/z_"+o+".txt").then(response => {
                        if (!response.ok) {
                            throw new Error("HTTP error " + response.status)
                        }
                        return response.text()
                        })
                        .then(text => {
                            if(text.toUpperCase().trim().indexOf(this.search1.toUpperCase().trim())>-1) {
                                
                                
                                let text4 = fetch("../resources/sk/otzn/zo_"+o+".txt").then(response2 => {
                                    if (!response2.ok) {
                                        throw new Error("HTTP error " + response2.status)
                                    }
                                    return response2.text()
                                    })
                                    .then(text2 => {
                                        //this.spic="<img src='../resources/sk/otzn/z"+o+".jpg' alt='"+String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")+"' title='"+String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")+"' />"
                                        this.spic="../resources/sk/znackyobr/z"+o+".jpg"
                                        this.stxt=text + String("[Môžeš editovať v " + "/resources/sk/znackyobr/z_"+o+".txt]")
                                        this.sans=text2
                                        this.atxt.push({id:(o+288+27), pic:this.spic, txt: this.stxt, ans: this.sans})                                            
                                        this.errSearch1=""
                                    })
                                    .catch(error2 => {
                                        // Handle/report error
                                        console.log(error2.message)
                                        this.errSearch1=error2.message
                                    })                                                                                                                                                                                    
                            
                            }
                        })
                        .catch(error => {
                            // Handle/report error
                            console.log(error.message)
                            this.errSearch1=error.message
                        })
                        if (this.atxt.length<1) this.errSearch1="Kľúčové slovo sa hľadá... Ak je pole pod prázdne, nič sa nenašlo, čakajte prosím."
                
                } //end of for 288 krizovatky

                */

                this.a2txt=this.atxt //due to synchronization problem Im making this equal here
                

            }
      }
    },

  }