export default {
    name: "goSignRand1Component",
    data() {
      return {
        qtxt: "",
        qans: "",
        qnum: 1,
        qpic: ""
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        <span class="text-xl">Prechádzať značky náhodne:</span><br>
        <button @click="SignRand()" class="hover:bg-sky-500 rounded-lg"> >> Vygeneruj náhodnú značku << </button>         
        <img :src="qpic"><br>
        <div v-text="qtxt"></div>
        <div v-text="qans"></div>
    </div>
      `,
      methods:{
        SignRand(){
          this.qnum=Math.floor(Math.random()*143)+1
          if (this.qnum<1) this.qnum=144
          let o=this.qnum
          let text3 = fetch("../resources/sk/otzn/z_"+o+".txt").then(response => {
            if (!response.ok) {
                throw new Error("HTTP error " + response.status)
            }
            return response.text()
            })
            .then(text => {
                                   
                    
                    let text4 = fetch("../resources/sk/otzn/zo_"+o+".txt").then(response2 => {
                        if (!response2.ok) {
                            throw new Error("HTTP error " + response2.status)
                        }
                        return response2.text()
                        })
                        .then(text2 => {
                            this.qpic="../resources/sk/znackyobr/z"+o+".jpg"
                            this.qtxt=text + String("[Môžeš editovať v " + "/resources/sk/otzn/z_"+o+".txt]")
                            this.qans="Odpoveď: "+text2                            
                        })
                        .catch(error2 => {
                            // Handle/report error
                            console.log(error2.message)
                        })                                                                                                                                                                                        
            })
            .catch(error => {
                // Handle/report error
                console.log(error.message)
            })
        }     
      }
  }